Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.nlp.trees
Class SimpleConstituentFactory

    java.lang.Object
      edu.stanford.nlp.trees.SimpleConstituentFactory

All Implemented Interfaces:
  ConstituentFactory

    public class SimpleConstituentFactory

extends Object
implements ConstituentFactory

A `ConstituentFactory` acts as a factory for creating objects of class `Constituent`, or some descendent class. An interface.

Author:
  Christopher Manning

Constructor Summary
`SimpleConstituentFactory()`

Method Summary
`Constituent` | `newConstituent(int start, int end)` Build a constituent with this start and end.
`Constituent` | `newConstituent(int start, int end, Label label, double score)` Build a constituent with this start and end.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleConstituentFactory

    public SimpleConstituentFactory()

Method Detail

### newConstituent

    public Constituent newConstituent(int start,
                                      int end)

  Description copied from interface: `ConstituentFactory`
  Build a constituent with this start and end.

  Specified by:
    `newConstituent` in interface `ConstituentFactory`
  Parameters:
    `start` - Start position
    `end` - End position

### newConstituent

    public Constituent newConstituent(int start,
                                      int end,
                                      Label label,
                                      double score)

  Description copied from interface: `ConstituentFactory`
  Build a constituent with this start and end.

  Specified by:
    `newConstituent` in interface `ConstituentFactory`
  Parameters:
    `start` - Start position
    `end` - End position
    `label` - Label
    `score` - Score

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Stanford NLP Group